Xerces-C++: SAXException Class Reference

Xerces-C++ 3.2.4

List of all members
SAXException Class Reference

Encapsulate a general SAX error or warning. More...

`#include <xercesc/sax/SAXException.hpp>`

Inheritance diagram for SAXException:

## Public Member Functions
Constructors and Destructor
| SAXException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor. More...
| SAXException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXException (const SAXException &toCopy)
| Copy constructor. More...
virtual | ~SAXException ()
| Destructor. More...
Public Operators
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Getter Methods
XMLCh * | fMsg
MemoryManager * | fMemoryManager
virtual const XMLCh * | getMessage () const
| Get the contents of the message. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Detailed Description

Encapsulate a general SAX error or warning.

This class can contain basic error or warning information from either the XML SAX parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass.

See also
  SAXParseException::SAXParseException

## Constructor & Destructor Documentation

## ◆ SAXException() [1/4]

SAXException::SAXException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

Default constructor.

Parameters

  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXException() [2/4]

SAXException::SAXException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXException() [3/4]

SAXException::SAXException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXException() [4/4]

SAXException::SAXException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters

  toCopy | The exception to be copy constructed

## ◆ ~SAXException()

virtual SAXException::~SAXException | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getMessage()

virtual const XMLCh * SAXException::getMessage | ( |  | ) | const
| virtual

Get the contents of the message.

## ◆ operator=()

SAXException & SAXException::operator= | ( | const SAXException & | toCopy | ) |

Assignment operator.

Parameters

  toCopy | The object to be copied

References fMemoryManager, fMsg, and XMLString::replicate().

## Member Data Documentation

## ◆ fMemoryManager

MemoryManager* SAXException::fMemoryManager
| protected

Referenced by operator=().

## ◆ fMsg

XMLCh* SAXException::fMsg
| protected

Referenced by operator=().

The documentation for this class was generated from the following file:

- SAXException.hpp